org.jboss.resteasy.spi.metadata

## Class Parameter

- java.lang.Object
- - org.jboss.resteasy.spi.metadata.Parameter

- Direct Known Subclasses:
    ConstructorParameter, FieldParameter, MethodParameter, SetterParameter

      public abstract class Parameter
      extends Object

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `Parameter.ParamType`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `defaultValue`
    `protected boolean` | `encoded`
    `protected Type` | `genericType`
    `protected String` | `paramName`
    `protected Parameter.ParamType` | `paramType`
    `protected ResourceClass` | `resourceClass`
    `protected long` | `suspendTimeout`
    `protected Class<?>` | `type`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `Parameter(ResourceClass resourceClass, Class<?> type, Type genericType)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract AccessibleObject` | `getAccessibleObject()`
    `abstract Annotation[]` | `getAnnotations()`
    `String` | `getDefaultValue()`
    `Type` | `getGenericType()`
    `String` | `getParamName()`
    `Parameter.ParamType` | `getParamType()`
    `ResourceClass` | `getResourceClass()`
    `long` | `getSuspendTimeout()`
    `Class<?>` | `getType()`
    `boolean` | `isEncoded()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### resourceClass

          protected ResourceClass resourceClass

    - #### type

          protected Class<?> type

    - #### genericType

          protected Type genericType

    - #### paramType

          protected Parameter.ParamType paramType

    - #### paramName

          protected String paramName

    - #### encoded

          protected boolean encoded

    - #### defaultValue

          protected String defaultValue

    - #### suspendTimeout

          protected long suspendTimeout

  - ### Constructor Detail

    - #### Parameter

          protected Parameter(ResourceClass resourceClass,
                   Class<?> type,
                   Type genericType)

  - ### Method Detail

    - #### getResourceClass

          public ResourceClass getResourceClass()

    - #### getType

          public Class<?> getType()

    - #### getGenericType

          public Type getGenericType()

    - #### getParamType

          public Parameter.ParamType getParamType()

    - #### getParamName

          public String getParamName()

    - #### isEncoded

          public boolean isEncoded()

    - #### getDefaultValue

          public String getDefaultValue()

    - #### getSuspendTimeout

          public long getSuspendTimeout()

    - #### getAccessibleObject

          public abstract AccessibleObject getAccessibleObject()

    - #### getAnnotations

          public abstract Annotation[] getAnnotations()

Copyright © 2014. All Rights Reserved.